Deployments.ai Docs
Agent Email

List inbox messages

GET /v1/agent-email/inboxes/{inboxId}/messages · SDK listAgentEmailMessages · CLI deployments inbox messages

GET
/v1/agent-email/inboxes/{inboxId}/messages

Requires agent-email:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

inboxId*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Query Parameters

cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 100
direction?string
Value in"inbound""outbound"
status?string
Value in"accepted""bounced""complained""delivered""failed""queued""received""scheduled""sending"

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

AgentEmailMessagePageResponse

application/json
  1. response
items*array<>
nextCursor?|null
curl -X GET "https://example.com/v1/agent-email/inboxes/string/messages" \  -H "x-deployments-environment: string"
{  "items": [    {      "acceptedAt": "2019-08-24T14:15:22Z",      "attachments": [        {          "byteSize": 0,          "contentId": "string",          "contentType": "string",          "disposition": "attachment",          "fileName": "string",          "id": "string",          "messageId": "string",          "sha256": "string"        }      ],      "bccAddresses": [        "string"      ],      "ccAddresses": [        "string"      ],      "clientId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "deliveredAt": "2019-08-24T14:15:22Z",      "direction": "inbound",      "draftId": "string",      "failureCode": "string",      "failureReason": "string",      "fromAddress": "string",      "htmlBody": "string",      "id": "string",      "inboxId": "string",      "inReplyTo": "string",      "internetMessageId": "string",      "lastReprocessedAt": "2019-08-24T14:15:22Z",      "organizationId": "string",      "providerMessageId": "string",      "rawPurgedAt": "2019-08-24T14:15:22Z",      "rawRetentionExpiresAt": "2019-08-24T14:15:22Z",      "receivedAt": "2019-08-24T14:15:22Z",      "references": [        "string"      ],      "replyToAddresses": [        "string"      ],      "reprocessCount": 0,      "scheduledAt": "2019-08-24T14:15:22Z",      "status": "accepted",      "subject": "string",      "textBody": "string",      "threadId": "string",      "threadKey": "string",      "toAddresses": [        "string"      ],      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "nextCursor": "string"}